# mlx.core.all — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.all

mlx.core.all(a: array, /, axis: Union[ None , int , List[ int ]] = None, keepdims: bool = False, *, stream: Union[ None , Stream , Device ] = None) → array

  An and reduction over the given axes.

  Parameters:

    - a (array) – Input array.

    - axis (int or list ( int ), optional) – Optional axis or axes to reduce over. If unspecified this defaults to reducing over the entire array.

    - keepdims (bool , optional) – Keep reduced axes as singleton dimensions, defaults to False.

  Returns:

    The output array with the corresponding axes reduced.

  Return type:

    array